﻿:root {
    --color-primary: #0D42B4;
    --color-primary-dark: #00163d;
    --color-accent: #1CBBE3;
    --color-accent-warm: #0743b5;
    --color-background: #F5F5F5;
    --color-text-primary: #fff;
    --color-text-secondary: #161616;
    --color-border: rgba(255,255,255,0.2);
    --color-hover: #FE8F01;
}

@font-face {
    font-family: 'YEKANF';
    src: url('/assets/font/YekanBakhFaNum-Regular.woff2') format('woff2');
    font-display: swap;
}

@font-face {
    font-family: 'YEKANFBlk';
    src: url('/assets/font/YekanBakhFaNum-Black.woff2') format('woff2');
    font-display: swap;
}

@font-face {
    font-family: 'YEKANFBld';
    src: url('/assets/font/YekanBakhFaNum-Bold.woff2') format('woff2');
    font-display: swap;
}

@font-face {
    font-family: 'YEKANFSBld';
    src: url('/assets/font/YekanBakhFaNum-SemiBold.woff2') format('woff2');
    font-display: swap;
}

@font-face {
    font-family: 'YEKANFLgt';
    src: url('/assets/font/YekanBakhFaNum-Light.woff2') format('woff2');
    font-display: swap;
}

*, *::before, *::after {
    box-sizing: border-box;
}

a {
    cursor: pointer;
    text-decoration: none;
}

body {
    margin: 0;
    font-family: 'YEKANF';
    background: white;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

.container {
    max-width: 1200px;
    width: 100%;
    padding-left: 8px;
    padding-right: 8px;
}

.page-content {
    margin: 24px auto;
}

.header {
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    padding: 8px 0;
    transition: 0.4s;
    z-index: 9999;
    background: #fff;
    box-shadow: 0 6px 18px rgba(0, 0, 0, 0.06);
}

.header-inner {
    display: flex;
    align-items: center;
    position: relative;
    padding-left: 15px;
    padding-right: 15px;
    margin-left: auto;
    margin-right: auto;
    max-width: 1200px;
}

.nav {
    display: flex;
    align-items: center;
    justify-content: safe center;
    gap: 28px;
    flex: 1;
    transform: translateX(0);
    transition: transform 0.75s ease;
    font-family: 'YEKANFSBld';
}

    .nav > a,
    .nav > .dropdown > a {
        display: inline-flex;
        align-items: center;
        height: 40px;
        text-decoration: none;
        color: #0743b5;
        position: relative;
        font-size: 13px;
        transition: color 0.4s;
    }

        .nav > a::after {
            content: "";
            position: absolute;
            bottom: -5px;
            right: 0;
            width: 0;
            height: 2.5px;
            border-radius: 50px;
            background: #0743b5;
            transition: 0.4s;
        }

        .nav > a:hover {
        }

            .nav > a:hover::after {
                width: 100%;
            }

        .nav > .dropdown > a::after {
            content: none;
        }

    .nav > .dropdown > a {
        padding-left: 16px;
        position: relative;
    }

        .nav > .dropdown > a::after {
            content: "";
            width: 5px;
            height: 5px;
            border-right: 1.5px solid var(--color-primary-dark);
            border-bottom: 1.5px solid var(--color-primary-dark);
            transform: rotate(45deg);
            position: absolute;
            left: 0;
            top: 50%;
            margin-top: -3px;
            transition: transform .3s ease,border-color .25s ease;
            border-color: #0743b5;
        }

        .nav > .dropdown > a:hover::after,
        .dropdown.open > a::after {
            transform: rotate(225deg);
            border-color: #0743b5;
        }

.logo-wrap {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    transition: 0.75s ease;
}

.logo {
    font-weight: bold;
    font-size: 20px;
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 2.5px
}

header .cicon {
    width: 35px;
    transition-duration: 800ms;
    margin: auto
}

header .clogotitle {
    width: 90px;
    transition-duration: 800ms;
}

header .cicon:hover {
    scale: 1.15;
}

.header.scrolled .logo-wrap {
    opacity: 0;
}

.nav-logo {
    display: flex;
}

.clogo {
    width: 110px;
}

.header.scrolled .nav-logo {
    opacity: 1;
    transform: translateX(0);
    pointer-events: auto;
}

.header.scrolled .nav {
    transform: translateX(-170px);
}

.dropdown {
    position: relative;
}

.dropdown-menu {
    position: absolute;
    top: 100%;
    right: 0;
    padding-top: 3px;
    display: block;
    background: transparent;
    border: none;
}

.dropdown-box {
    background: #ffffff;
    box-shadow: 0 8px 22px rgba(0, 0, 0, 0.267);
    padding: 0;
    min-width: 160px;
    opacity: 0;
    transform: translateX(20px);
    transition: opacity 0.4s, transform 0.4s, border-top 0.4s;
    pointer-events: none;
    border-top: 2px solid #0743b5;
}

.nav > .dropdown > a:hover, .dropdown.open > a {
    color: #0743b5;
}

.dropdown.open .dropdown-box {
    opacity: 1;
    transform: translateY(0);
    pointer-events: auto;
    border-top: 2px solid #0743b5;
}

.dropdown-box a {
    font-size: 13px;
    display: block;
    padding: 8px 12px;
    color: var(--color-primary-dark);
    text-decoration: none;
    transition: background 0.3s, color 0.3s;
    position: relative;
    overflow: hidden;
}

    .dropdown-box a::before {
        content: "";
        position: absolute;
        inset: 0;
        background: #dcdcdc3d;
        transform: scaleX(0);
        transform-origin: right;
        transition: transform 0.35s cubic-bezier(0.4, 0, 0.2, 1);
        z-index: 0;
    }

    .dropdown-box a:hover::before {
        transform: scaleX(1);
    }

    .dropdown-box a span,
    .dropdown-box a {
        position: relative;
        z-index: 1;
    }

.search {
    margin-right: auto;
    position: relative;
    z-index: 1000;
    pointer-events: auto;
}

.search-input {
    margin: 5px 0;
    padding: 5px;
    margin-right: 5px;
    border-radius: 8px;
    border: #9999997e solid 1px;
    color: #7a7a7a;
    outline: none;
    background: none;
    font-size: 12px;
    height: 32px;
    pointer-events: auto;
}

.search-btn {
    border-radius: 8px;
    border: none;
    background: none;
    height: 32px;
    padding: 1px 4px;
    transition-duration: 400ms;
}

    .search-btn:hover {
        background: #d1d1d19f;
    }

.sicon {
    width: 100%;
}

.nav-toggle {
    display: none;
    margin-right: auto;
    cursor: pointer;
}

.dicon {
    width: 28px;
}

.menu-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.3);
    opacity: 0;
    visibility: hidden;
    transition: .3s;
    z-index: 9997;
}

    .menu-overlay.show {
        opacity: 1;
        visibility: visible;
    }

.mobile-menu {
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    background: #fff;
    box-shadow: 0 10px 30px rgba(0,0,0,0.15);
    transform: translateY(-100%);
    transition: 0.45s;
    z-index: 9998;
    padding: 120px 20px 50px;
}

    .mobile-menu.open {
        transform: translateY(0);
    }

.mobile-top {
    display: flex;
    align-items: center;
    gap: 15px;
    margin-bottom: 24px;
    /*border-bottom: 0.75px solid #69696932;*/
}

.mobile-search {
    width: 100%;
    display: grid;
    grid-template-columns: auto 32px;
    gap: 8px;
    align-items: center;
}

    .mobile-search .search-input {
        width: auto;
    }

.mobile-nav {
    display: flex;
    flex-direction: column;
}

    .mobile-nav > a,
    .mobile-dropdown > a {
        display: flex;
        align-items: center;
        justify-content: space-between;
        height: 42px;
        font-size: 13px;
        color: var(--color-primary-dark);
        position: relative;
        border-bottom: 1px solid rgba(0,0,0,0.06);
        transition: color .25s ease;
    }

        /*.mobile-dropdown.open > a {
    color: var(--color-accent-warm);
}*/

        .mobile-nav > a::after {
            content: "";
            position: absolute;
            bottom: -3px;
            right: 0;
            width: 0;
            height: 2px;
            background: #0743b5;
            transition: width .35s ease;
        }

        .mobile-nav > a:hover::after {
            width: 100%;
        }

.mobile-dropdown {
    border-bottom: 1px solid rgba(0,0,0,0.06);
}

    .mobile-dropdown > a::after {
        content: "";
        width: 5px;
        height: 5px;
        border-right: 1.5px solid var(--color-primary-dark);
        border-bottom: 1.5px solid var(--color-primary-dark);
        transform: rotate(45deg);
        transition: transform .3s ease, border-color .25s ease;
    }

    .mobile-dropdown.open .mobile-dropdown-menu {
        max-height: 260px;
        padding-bottom: 6px;
        margin-bottom: 4px;
        opacity: 1;
        transform: translateY(0);
    }

    .mobile-dropdown.open {
        border-bottom: 2px solid #0743b5;
    }

        .mobile-dropdown.open > a {
            border-bottom: none;
        }

            .mobile-dropdown.open > a::after {
                transform: rotate(225deg);
                /*border-color: var(--color-accent-warm);*/
            }

.mobile-dropdown-menu {
    display: flex;
    flex-direction: column;
    max-height: 0;
    overflow: hidden;
    padding-right: 16px;
    opacity: 0;
    transform: translateY(-4px);
    transition: max-height .45s cubic-bezier(.4,0,.2,1), opacity .35s ease, /* transform .35s ease*/;
}

    .mobile-dropdown-menu a {
        font-size: 13px;
        padding: 8px 0;
        color: var(--color-primary-dark);
        position: relative;
        padding-right: 18px;
        opacity: .9;
        transition: color .25s ease, padding .25s ease;
    }

        .mobile-dropdown-menu a::before {
            content: "";
            width: 8px;
            height: 8px;
            background: #0743b5;
            border-radius: 50%;
            position: absolute;
            right: 0;
            top: 50%;
            transform: translateY(-50%);
        }

        .mobile-dropdown-menu a:hover {
            color: #0743b5;
            padding-right: 18px;
        }

@media (min-width:769px) {
    header .cicon {
        width: 35px;
    }

    .mobile-menu {
        display: none
    }

    .menu-overlay {
        display: none;
    }

    .footer-grid {
        grid-template-columns: 1.5fr 3fr 2fr 3fr;
    }
}

@media (max-width:768px) and (min-width:541px) {
    .footer-grid {
        grid-template-columns: 1fr 2fr;
    }

}

@media (max-width:540px) {
    .footer-grid {
        grid-template-columns: 1fr;
    }

        .footer-grid .footer-col {
            margin: auto;
        }
}

@media (max-width:768px) {


    .hportal-btn {
        display: none;
    }

    .nav {
        display: none;
    }

    .desktop-search {
        display: none;
    }

    .nav-toggle {
        display: flex;
    }

    .logo-wrap {
        position: static;
        transform: none;
        opacity: 1;
        transition: all .35s ease;
    }

    .nav-logo {
        width: fit-content;
        opacity: 1;
    }

    .header.scrolled .logo-wrap {
        opacity: 0;
        transform: translateX(-40px);
    }

    .header.scrolled .nav-logo {
        opacity: 1;
        transform: translateX(0);
        transition-delay: .1s;
        pointer-events: auto;
    }

    body.menu-open .header.scrolled {
        box-shadow: none;
    }
}

.site-footer {
    position: relative;
    background: #f5f5f5;
    color: #161616;
    padding: 100px 0 30px;
    font-family: 'YEKANF';
    direction: rtl;
    margin-top: auto;
    border-top: 0.75px solid #bbbbbb95;
}

.footer-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
    display: grid;
    flex-direction: row;
    gap: 28px;
}

.footer-top {
    display: flex;
    flex-direction: row;
    gap: 14px;
}

.footer-logo {
    width: 180px;
}

.footer-desc {
    font-size: 13px;
    line-height: 2;
    max-width: 800px;
    text-align: justify;
    align-content: center
}

.footer-grid {
    display: grid;
    gap: 30px;
    margin-top: 10px;
}

.footer-col h6 {
    font-size: 13px;
    font-family: 'YEKANFBld';
    margin-bottom: 10px;
    color: var(--color-primary);
}

.footer-col ul {
    list-style: none;
    padding: 0;
    margin: 0;
    text-align: center
}

    .footer-col ul li {
        margin-bottom: 8px;
    }

        .footer-col ul li a {
            font-size: 13px;
            color: #161616;
            transition: 0.3s;
        }

            .footer-col ul li a:hover {
                color: #0743b5;
            }

.footer-contact {
    display: flex;
    flex-direction: column;
    gap: 14px;
}

.footer-contact-item {
    display: flex;
    align-items: center;
    gap: 8px;
    font-size: 13px;
    align-items: start;
}

    .footer-contact-item img {
        width: 18px;
        height: 18px;
    }




main {
    margin: 75px 0 25px 0;
    flex: 1;
}

.alert {
    font-size: 13px;
    border-radius: 8px;
    margin: 0;
}

.hportal-btn {
    border: #0743b5 solid 1px;
    background: #0743b5;
    color: white;
    font-size: 12px;
    height: 32px;
    align-content: center;
    border-radius: 8px;
    padding: 8px;
    margin-left: 4px;
    transition-duration: 400ms;
    position: relative;
    z-index: 1000;
    pointer-events: auto;
}

    .hportal-btn:hover {
        background: #0743b5e7;
    }

.mportal-btn {
    border: #0743b5 solid 1px;
    background: #0743b5;
    color: white !important;
    font-size: 12px;
    height: 32px;
    align-content: center;
    border-radius: 8px;
    padding: 8px;
    margin-top: 15px;
    transition-duration: 400ms;
    width: 100%;
    text-align: center !important;
}

    .mportal-btn:hover {
        background: #72727273;
    }

.quickgrid {
    display: flex;
    gap: 20px
}
.footer-desc .blue {
    color: #0743b5 !important
}